### Constructor

# Gtk AppChooserDialog new_for_content_type

deprecated: 4.10

#### Declaration [src]

    GtkWidget*
    gtk_app_chooser_dialog_new_for_content_type (
      GtkWindow* parent,
      GtkDialogFlags flags,
      const char* content_type
    )

#### Description [src]

Creates a new `GtkAppChooserDialog` for the provided content type.

The dialog will show applications that can open the content type.

Deprecated since: 4.10

This widget will be removed in GTK 5

#### Parameters

`parent`

  Type: `GtkWindow`

  A `GtkWindow`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`flags`

  Type: `GtkDialogFlags`

  Flags for this dialog.

`content_type`

  Type: `const char*`

  A content type string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

A newly created `GtkAppChooserDialog`

The data is owned by the called function.